<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class SendPasswordResetLink extends Mailable
{
    use Queueable, SerializesModels;

    public $data;

    /**
     * SendPassword constructor.
     *
     * @param $data
     */
    public function __construct($data)
    {
        $this->data = $data;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $data = $this->data;

        return $this->from('info@prisma.care', 'Prisma')
            ->subject('Maak een nieuw Prisma wachtwoord aan')// Make a new Prisma password
            ->with($data)
            ->markdown('emails.send-password-reset-link');
    }
}
