<?php

namespace App\Policies;

use App\Patient;
use App\User;
use Illuminate\Auth\Access\HandlesAuthorization;

class PatientPolicy
{
    use HandlesAuthorization;

    /**
     * Determine whether the user can view the patient.
     *
     * @param \App\User $user
     * @param \App\Patient $patient
     *
     * @return mixed
     */
    public function view(User $user, Patient $patient)
    {
        return $patient->users->contains($user);
    }

    /**
     * Determine whether the user can update the patient.
     *
     * @param \App\User $user
     * @param \App\Patient $patient
     *
     * @return mixed
     */
    public function update(User $user, Patient $patient)
    {
        //
    }

    /**
     * Determine whether the user can delete the patient.
     *
     * @param \App\User $user
     * @param \App\Patient $patient
     *
     * @return mixed
     */
    public function delete(User $user, Patient $patient)
    {
        //
    }
}
