<?php

namespace App\Policies;

use App\Story;
use App\User;
use Illuminate\Auth\Access\HandlesAuthorization;

class StoryPolicy
{
    use HandlesAuthorization;

    /**
     * Determine whether the user can view the story.
     *
     * @param \App\User $user
     * @param \App\Story $story
     *
     * @return mixed
     */
    public function view(User $user, Story $story)
    {
        return true;
    }

    /**
     * Determine whether the user can create stories.
     *
     * @param \App\User $user
     *
     * @return mixed
     */
    public function create(User $user, $patient, $album)
    {
        return $user->can('view', $patient) && $patient->id === $album->patient_id;
    }

    /**
     * Determine whether the user can update the story.
     *
     * @param \App\User $user
     * @param \App\Story $story
     *
     * @return mixed
     */
    public function update(User $user, Story $story)
    {
        return true;
    }

    /**
     * Determine whether the user can delete the story.
     *
     * @param \App\User $user
     * @param \App\Story $story
     *
     * @return mixed
     */
    public function delete(User $user, Story $story)
    {
        return true;
    }
}
