<?php

namespace App;

use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'email', 'password', 'first_name', 'last_name', 'profile_pic', 'user_type',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    public function patients()
    {
        return $this->belongsToMany('App\Patient');
    }

    public function isCustomer()
    {
        return $this->user_type === 'customer';
    }

    public function isAdmin()
    {
        return $this->user_type === 'admin' || $this->isSuperAdmin();
    }

    public function isSuperAdmin()
    {
        return $this->user_type === 'superadmin';
    }

    public function getFullNameAttribute()
    {
        return ucfirst($this->first_name).' '.ucfirst($this->last_name);
    }
}
